# Perl Hacker's Hub DBIx::Class サンプルコード

## 必要環境

Perl 5.8.1以上
DBIx::Class 0.08以上
SQL::Translator 0.11以上
DBD::SQLite

## DBIx::Class スキーマ

lib ディレクトリ以下に記事内で紹介したサンプルDB用のDBIx::Class定義があります。

 * My::Schema - スキーマクラス
 * My::Schema::Result::* - テーブル毎のResultクラス

カラム定義の方法、リレーションの設定、insert/updateのフックなどひととおり書いていますので、
参考にしてみてください。

## DB操作スクリプト

script ディレクトリ以下には上記My::Schemaを使用してDBを操作するサンプルコードをおいてあります。

### DB作成

まず最初にデータベースを作成する必要があります。
`script/01-deploy.pl` を実行すると、このサンプルのルートディレクトリ（このREADMEファイルがある場所）に database.db と言う名前のSQLiteデータベースが作成されます。
ほかのスクリプトはすべてこのデータベースを使用するため、まず最初にこのスクリプトを実行しデータベースを作成する必要があります。

また、作成されたファイルを削除し再度このスクリプトを実行することでデータベースの初期化が行えます。

### その他のスクリプト

その他のスクリプトはDB操作のサンプルとなっています。
参考にしつつ、またDBIx::Class自体のドキュメントも併せて参照しつつDBIx::Classでのデータベース操作

### SQLの表示

実行されているSQLは記事中でも紹介したようにDBIC_TRACE環境変数をセットすることで標準エラー出力として得ることができます。

    DBIC_TRACE=1 perl ./script/01-deploy.pl

などのようにすれば、SQLを表示させつつスクリプトを実行できます。





